"use strict";

var _postcss = _interopRequireDefault(require("postcss"));

var _AutoPrefixer = _interopRequireDefault(require("@zohodesk-private/prefix_remove/es/cli_plugin/AutoPrefixer"));

var _path = _interopRequireDefault(require("path"));

var _fs = _interopRequireDefault(require("fs"));

var _folderIterator = _interopRequireDefault(require("./folderIterator"));

var _getOptions = _interopRequireDefault(require("./getOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let cwd = process.cwd();

let src = _path.default.join(cwd, process.argv[2]);

let dist = _path.default.join(cwd, process.argv[3]);

let canWacth = '-w' === process.argv[4];

function watchHandler(fromPath, toPath) {
  let css = _fs.default.readFileSync(fromPath);

  const options = (0, _getOptions.default)();
  const {
    prefixConfig
  } = options.css;
  (0, _postcss.default)([(0, _AutoPrefixer.default)(prefixConfig)]).process(css, {
    from: fromPath,
    to: toPath
  }).then(result => {
    _fs.default.writeFile(toPath, result.css, () => true);

    if (result.map) {
      _fs.default.writeFile(`${toPath}.map`, result.map, () => true);
    }
  });
}

(0, _folderIterator.default)(src, dist, ['.css'], false, (fromPath, toPath) => {
  if (canWacth && fromPath) {
    _fs.default.watchFile(fromPath, () => {
      watchHandler(fromPath, toPath);
    });
  }

  watchHandler(fromPath, toPath);
});